.app-contact-form {
    width: 100%;
    border: 1px solid var(--app-text-color-darker);
    border-radius: 10px;
    padding: 2rem;
}

.app-contact-form input[type=text], .app-contact-form input[type=email] {
    background-color: var(--app-background-color);
    color: var(--app-text-color-darker);
    width: 100%;
    padding: 12px 12px;
    margin-top: 1rem;
    margin-bottom: 2rem;
    display: inline-block;
    border: 1px solid var(--app-text-color-darker);
    border-radius: 5px;
    cursor: pointer;
    outline: none;
}

.app-contact-form textarea {
    background-color: var(--app-background-color);
    color: var(--app-text-color-darker);
    width: 100%;
    padding: 12px 12px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid var(--app-text-color-darker);
    border-radius: 5px;
    cursor: pointer;
    outline: none;
}

.app-contact-form button[type=submit] {
    background-color: inherit;
    color: inherit;
    cursor: pointer;
    text-align: center;
    font-weight: bold;
    width: 10rem;
    height: 2.5rem;

    border: 1px solid var(--app-text-color-darker);
    border-radius: 1000px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 2rem;
    display: block;
}

.app-contact-form button[type=submit]:hover {
    background-color: rgb(0, 200, 0);
}

.contact-box {
    display: grid;
    display: -ms-grid;
    display: -moz-grid;
    grid-template-columns: auto;
    gap: 40px 40px;
}

div.contact-box > div > p {
    margin-top: 0;
}

@media(min-width: 40.063em) {
    .contact-box {
        grid-template-columns: auto auto;
    }
}

.contactReply {
    display: none;
    text-align: center;
}

.contactReply.mailOk {
    display: block;
    background-color: green;
    color: white;
}

.contactReply.mailOk:before {
    content: "Die Nachricht wurde gesendet.";
}

.contactReply.mailFailed {
    display: block;
    background-color: red;
    color: white;
}

.contactReply.mailFailed:before {
    content: "Die Nachricht konnte nicht gesendet werden.";
}
